Subject: Re: [PATCH 6/6] powerpc/pseries: Add firmware details to dump stack arch description

From: Michael Ellerman <[email-masked]>
Date: Fri, 30 Sep 2022 14:28:46 +1000

Nathan Lynch <[email-masked]> writes:
> Michael Ellerman <[email-masked]> writes:
>
>> Add firmware version details to the dump stack arch description, which
>> is printed in case of an oops.
>>
>> Currently /hypervisor only exists on KVM, so if we don't find that
>> look for something that suggests we're on phyp and if so that's
>> probably a good guess. The actual content of the ibm,fw-net-version
>> seems to be a full path so is too long to add to the description.
>
> My only reservation is that ibm,fw-net-version seems to be unspecified
> and could disappear in future firmware versions.

Yeah good point.

> /ibm,powervm-partition would be the best PAPR-specified property for
> this purpose, but I don't see it on a P8/860 partition I checked,
> unfortunately. I do see it on a P9. Presumably it's present in device
> trees on PowerVM P9 systems and later, but it's probably too new to use
> for this.

I'll look for both, it's easy enough.

> /ibm,lpar-capable "indicates that the platform is capable of supporting
> logical partitioning and is only present on such systems." This one is
> present on the P8.

But conceivably qemu/KVM could provide that property, which would defeat
the purpose here which is to differentiate which actual hypervisor we're
under.

>> eg: Hardware name: ... of:'IBM,FW860.42 (SV860_138)' hv:phyp
>
> Will this info get printed during boot as well? There are many times it
> would have been useful to me when looking at logs from non-oopsed
> kernels.

No it's not. But you're right that would often be useful.

I think we can print it at the end of probe_machine().

I'll send a v2.

cheers